Bug 417071 - missing Requires: gnome-python2-evolution
missing Requires: gnome-python2-evolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: conduit (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
: Reopened, Triaged
: 492938 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-09 03:48 EST by Sindre Pedersen Bjørdal
Modified: 2009-12-18 01:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-12-09 03:48:34 EST
Description of problem:
A large part of conduits functionality, the evolution-data-server
syncronisation, requires evolution-python to work. As there is currently no way
to recommend, but not require, dependencies, I suggest you add evolution-python
as a dependency, without it, conduit in Fedora seems strangely feature-less and
there's no simple way for the user to figure out why advertised conduit features
aren't available in Fedora. 

Version-Release number of selected component (if applicable):
0.3.4-2
Comment 1 Bernard Johnson 2007-12-09 11:09:13 EST
You must be an evolution user.  Many people are not.

Requiring evolution-python may introduce unwanted dependencies.  I'll check and
see how much other cruft gets pulled in.

I recently closed a similar bug regarding Tomboy.  It can be argued that Tomboy
synchronization is a large part of the functionality as well (more so for me
than Evolution synchronizing).  Requiring Tomboy pulled in the entire mono
framework.

Unfortunately, what you perceive is indispensable functionality depends on your
use case.  And maybe your use case is the 90% percentile case at which point we
should require it regardless.  I haven't seen evidence of that though.

As another data point, python-gdata was recently introduced so that you could
synchronize with your Google calendar, email, and many other google services. 
Python-gdata has no additional dependencies other than python itself.  This will
soon be added as a requires because it's a small package with no additional
dependencies.
Comment 2 Bernard Johnson 2009-04-05 12:01:47 EDT
Reopened for comments.
Comment 3 Bernard Johnson 2009-04-05 12:02:08 EDT
*** Bug 492938 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2009-11-18 07:23:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:01:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.